<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class BookingFor extends BaseModel
{
    protected $fillable = ['service'];


    public function bookingSlots()
    {
        return $this->hasMany(BookingSlot::class);
    }

    public function specialBookingSlot()
    {
        return $this->hasMany(SpecialBookingSlot::class);
    }

    public function serviceDetail()
    {
        return $this->hasOne(ServiceDetail::class);
    }
}
